Package org.apache.synapse.transport.nhttp.util

# Class NhttpUtil

java.lang.Object
org.apache.synapse.transport.nhttp.util.NhttpUtil

public class NhttpUtil extends Object
A useful set of utility methods for the HTTP transport

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NhttpUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getContentType(org.apache.axis2.context.MessageContext msgContext)`
  Get the content type for the message passed in
  `static org.apache.axis2.addressing.EndpointReference`
  `getDestinationEPR(org.apache.axis2.context.MessageContext msgContext)`
  Get the EPR for the message passed in
  `static String`
  `getHostName(InetAddress address)`
  This method tries to determine the hostname of the given InetAddress without triggering a reverse DNS lookup.
  `static org.apache.axiom.om.OMOutputFormat`
  `getOMOutputFormat(org.apache.axis2.context.MessageContext msgContext)`
  Retirn the OMOutputFormat to be used for the message context passed in
  `static String`
  `getRestUrlPostfix(String uri, String servicePath)`
  Calculate the REST_URL_POSTFIX from the request URI

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NhttpUtil

    public NhttpUtil()

- ## Method Details

  - ### getHostName

    public static String getHostName(InetAddress address)
    This method tries to determine the hostname of the given InetAddress without triggering a reverse DNS lookup. `InetAddress.getHostName()` triggers a reverse DNS lookup which can be very costly in cases where reverse DNS fails. Tries to parse a symbolic hostname from `InetAddress.toString()`, which is documented to return a String of the form "hostname / literal IP address" with 'hostname' blank if not already computed invalid input: '&' stored in `addressinvalid input: '<'/codeinvalid input: '<'.

    If the hostname cannot be determined from InetAddress.toString(), the value of `InetAddress.getHostAddress()` is returned.`
    Parameters:
      `address` - The InetAddress whose hostname has to be determined
    Returns:
      hostsname, if it can be determined. hostaddress, if not. TODO: We may introduce a System property or some other method of configuration TODO: which will specify whether to allow reverse DNS lookup or not

  - ### getDestinationEPR

    public static org.apache.axis2.addressing.EndpointReference getDestinationEPR(org.apache.axis2.context.MessageContext msgContext)
    Get the EPR for the message passed in
    Parameters:
      `msgContext` - the message context
    Returns:
      the destination EPR

  - ### getOMOutputFormat

    public static org.apache.axiom.om.OMOutputFormat getOMOutputFormat(org.apache.axis2.context.MessageContext msgContext)
    Retirn the OMOutputFormat to be used for the message context passed in
    Parameters:
      `msgContext` - the message context
    Returns:
      the OMOutputFormat to be used

  - ### getContentType

    public static String getContentType(org.apache.axis2.context.MessageContext msgContext)
    Get the content type for the message passed in
    Parameters:
      `msgContext` - the message
    Returns:
      content type of the message

  - ### getRestUrlPostfix

    public static String getRestUrlPostfix(String uri, String servicePath)
    Calculate the REST_URL_POSTFIX from the request URI
    Parameters:
      `uri` - - The Request URI - String
      `servicePath` - String
    Returns:
      REST_URL_POSTFIX String